Mailinglist Archive: opensuse-commit (2092 mails)

< Previous Next >
commit gnopernicus
  • From: root@xxxxxxxxxxxxxxx (h_root)
  • Date: Thu, 09 Aug 2007 19:13:38 +0200
  • Message-id: <20070809171338.F32DC678333@xxxxxxxxxxxxxxx>

Hello community,

here is the log from the commit of package gnopernicus
checked in at Thu Aug 9 19:13:38 CEST 2007.

--------
--- GNOME/gnopernicus/gnopernicus.changes       2007-05-11 11:46:11.000000000 +0200
+++ /mounts/work_src_done/STABLE/gnopernicus/gnopernicus.changes        2007-08-08 00:47:29.783881000 +0200
@@ -1,0 +2,7 @@
+Wed Aug  8 00:47:25 CEST 2007 - maw@xxxxxxx
+
+- Use %fdupes
+- Split off a -lang subpackage
+- s#%run_ldconfig#/sbin/ldconfig/ in %post and %postun.
+
+-------------------------------------------------------------------

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ gnopernicus.spec ++++++
--- /var/tmp/diff_new_pack.l19060/_old  2007-08-09 19:13:14.000000000 +0200
+++ /var/tmp/diff_new_pack.l19060/_new  2007-08-09 19:13:14.000000000 +0200
@@ -11,17 +11,18 @@
 # norootforbuild
 
 Name:           gnopernicus
-BuildRequires:  at-spi-devel gail-devel gnome-common gnome-desktop-devel gnome-mag-devel gnome-speech-devel gtk-doc intltool libglade2-devel libgnomeui-devel libidl mDNSResponder-devel perl-XML-Parser scrollkeeper update-desktop-files
-License:        GNU Library General Public License v. 2.0 and 2.1 (LGPL)
+BuildRequires:  at-spi-devel fdupes gail-devel gnome-common gnome-desktop-devel gnome-mag-devel gnome-speech-devel gtk-doc intltool libglade2-devel libgnomeui-devel libidl mDNSResponder-devel perl-XML-Parser scrollkeeper update-desktop-files
+License:        LGPL v2 or later
 Group:          System/GUI/GNOME
 Version:        1.1.2
-Release:        66
+Release:        97
 Summary:        Assistive Technologies for Blind and Visually Impaired Users of the GNOME Desktop
 Source:         %{name}-%{version}.tar.bz2
 URL:            http://www.baum.ro/gnopernicus.html
 BuildRoot:      %{_tmppath}/%{name}-%{version}-build
 # FIXME: For correct directory ownership (applet seems to not link with gnome-panel):
 Requires:       gnome-panel
+Requires:       %{name}-lang = %{version}
 BuildRequires:  gnome-panel
 
 %gconf_schemas_prereq
@@ -77,6 +78,7 @@
     Remus Draica        <rd@xxxxxxx>
     Adi Dascal          <ad@xxxxxxx>
 
+%lang_package
 %prep
 %setup -q
 
@@ -100,23 +102,26 @@
 %find_lang %{name}
 %find_lang brlmonitor
 %find_gconf_schemas
-cat %{name}.lang brlmonitor.lang %{name}.schemas_list >%{name}.lst
+cat brlmonitor.lang >> %{name}.lang
+cat %{name}.schemas_list >%{name}.lst
 rm $RPM_BUILD_ROOT%{_libdir}/*/*.*a
 
+%fdupes $RPM_BUILD_ROOT
+
 %clean
 rm -rf $RPM_BUILD_ROOT
 
 %pre -f %{name}.schemas_pre
 
 %post
-%run_ldconfig
+/sbin/ldconfig
 
 %posttrans -f %{name}.schemas_posttrans
 
 %preun -f %{name}.schemas_preun
 
 %postun
-%run_ldconfig
+/sbin/ldconfig
 
 %files -f %{name}.lst
 %defattr(-,root,root)
@@ -130,12 +135,18 @@
 %{_prefix}/lib/gnome-panel/*
 %{_sysconfdir}/gnopernicus-1.0
 
+%files lang -f %{name}.lang
+
 %files devel
 %defattr(-,root,root)
 %{_libdir}/pkgconfig/*.pc
 %{_includedir}/gnopernicus-1.0
 
 %changelog
+* Wed Aug 08 2007 - maw@xxxxxxx
+- Use %%fdupes
+- Split off a -lang subpackage
+- s#%%run_ldconfig#/sbin/ldconfig/ in %%post and %%postun.
 * Fri May 11 2007 - pgajdos@xxxxxxx
 - removed gnome-icon-theme from BuildRequires and Requires
   [#247449]


++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++



Remember to have fun...

---------------------------------------------------------------------
To unsubscribe, e-mail: opensuse-commit+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-commit+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages